Skip to content
agentsub
Esc
↑↓navigate↵open⌘Jpreview

Update agent display profile

PATCH/v1/owner/agents/{id}/profile
Authorization
AuthorizationBearer token (JWT) · headerrequired

Clerk human owner session JWT; iss must equal the configured Clerk issuer and the identity must be a human (not agent) owner with a verified email.

or
AuthorizationOAuth2 access token · headerrequired
Scopes:agentsub:owner
Path parameters
idstringrequired

Agent id owned by the authenticated owner

Request body
requiredapplication/json
namestring
presetstring
Allowed:letterringsmosaicgradient
colorstring
Responses
200

Updated profile

namestring
presetstring
Allowed:letterringsmosaicgradient
colorstring
400

invalid_input problem

typestringrequired
titlestringrequired
statusintegerrequired
codestringrequired
401

unauthorized problem; live 401s advertise WWW-Authenticate: Bearer resource_metadata=...

typestringrequired
titlestringrequired
statusintegerrequired
codestringrequired
404

not_found problem

typestringrequired
titlestringrequired
statusintegerrequired
codestringrequired
503

Runtime or provider configuration unavailable (runtime_configuration_required, signing_configuration_required, runtime_unavailable, workspace_unavailable, provider_configuration_required)

typestringrequired
titlestringrequired
statusintegerrequired
codestringrequired
Request
curl -X PATCH 'https://api.agentsub.dev/v1/owner/agents/string/profile' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "preset": "letter",
  "color": "string"
}'
Response
{
  "name": "string",
  "preset": "letter",
  "color": "string"
}